Project

General

Profile

Actions

action #111884

closed

openQA Project - coordination #111860: [epic] Upgrade all our infrastructure, e.g. o3+osd workers+webui and production workloads, to openSUSE Leap 15.4

Upgrade qam hosts maintained by us to latest stable, i.e. Leap 15.4 size:M

Added by okurz about 2 years ago. Updated almost 2 years ago.

Status:
Resolved
Priority:
Normal
Assignee:
Category:
-
Target version:
Start date:
Due date:
% Done:

0%

Estimated time:

Description

Observation

qam2.suse.de needs to be updated to 15.4

Acceptance criteria

  • AC1: qam2.suse.de and its containers are running 15.4
  • AC2: No failed services, e.g. systemctl is-system-running

Suggestions

Follow instructions we have for openQA https://progress.opensuse.org/projects/openqav3/wiki/#Distribution-upgrades

Further details

The machine is ansible managed.

Out of scope

Introduce additional system management, e.g. salt or anything


Related issues 2 (0 open2 closed)

Copied from openQA Infrastructure - action #99243: Upgrade qam hosts maintained by us to latest stable, i.e. Leap 15.3Resolvedjbaier_cz2021-09-24

Actions
Copied to openQA Project - action #130600: Upgrade qam hosts maintained by us to latest stable, i.e. Leap 15.5Resolvedokurz

Actions
Actions #1

Updated by okurz about 2 years ago

  • Copied from action #99243: Upgrade qam hosts maintained by us to latest stable, i.e. Leap 15.3 added
Actions #2

Updated by okurz about 2 years ago

  • Subject changed from Upgrade qam hosts maintained by us to latest stable, i.e. Leap 15.3 to Upgrade qam hosts maintained by us to latest stable, i.e. Leap 15.4
  • Assignee deleted (jbaier_cz)
  • Priority changed from High to Normal
  • Target version changed from Ready to future
  • Start date deleted (2021-09-24)
Actions #3

Updated by okurz about 2 years ago

  • Project changed from openQA Project to openQA Infrastructure
Actions #4

Updated by okurz almost 2 years ago

  • Target version changed from future to Ready
Actions #5

Updated by livdywan almost 2 years ago

  • Subject changed from Upgrade qam hosts maintained by us to latest stable, i.e. Leap 15.4 to Upgrade qam hosts maintained by us to latest stable, i.e. Leap 15.4 size:M
  • Description updated (diff)
  • Status changed from New to Workable
Actions #6

Updated by jbaier_cz almost 2 years ago

  • Status changed from Workable to In Progress
  • Assignee set to jbaier_cz
Actions #7

Updated by jbaier_cz almost 2 years ago

  • Status changed from In Progress to Feedback
qam2:~ # grep PRETTY /etc/os-release
PRETTY_NAME="openSUSE Leap 15.4"
qam2:~ #  systemctl is-system-running
running
Actions #8

Updated by jbaier_cz almost 2 years ago

  • Status changed from Feedback to Resolved

Seems to me, that everything is working as expected, no problem reported so far.

Actions #9

Updated by okurz almost 2 years ago

  • Due date set to 2022-07-22
  • Status changed from Resolved to Feedback

machinectl shell postgresql and then cat /etc/os-release still shows 15.3 though. Can we upgrade that as well the same way?

Actions #10

Updated by jbaier_cz almost 2 years ago

  • Description updated (diff)
  • Status changed from Feedback to In Progress

Sure, I will update the AC to reflect that.

Actions #11

Updated by jbaier_cz almost 2 years ago

  • Status changed from In Progress to Resolved

And done.

postgresql:~ # cat /etc/os-release
NAME="openSUSE Leap"
VERSION="15.4"
Actions #12

Updated by okurz almost 2 years ago

  • Due date deleted (2022-07-22)
Actions #13

Updated by okurz about 1 year ago

  • Copied to action #130600: Upgrade qam hosts maintained by us to latest stable, i.e. Leap 15.5 added
Actions

Also available in: Atom PDF